// Boost. Range Template Library (rtl)
//
// Copyright 2003 John Torjo (john@torjo.com) and Matthew Wilson (matthew@synesis.com.au)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.
 
// See http://www.boost.org for updates, documentation, and revision history.


#ifndef BOOST_RTLRTL_HPP_INCLUDED
#define BOOST_RTLRTL_HPP_INCLUDED

#include <boost/rtl/rtl.hpp>

#include <boost/rtl/filter.hpp>
#include <boost/rtl/resort.hpp>
#include <boost/rtl/transform.hpp>
#include <boost/rtl/reverse.hpp>
#include <boost/rtl/indirect.hpp>

#include <boost/rtl/algo.hpp>


#endif // BOOST_RTL_HPP_INCLUDED
