// Boost. Range Template Library (rtl)
//
// Copyright 2003 John Torjo (john@torjo.com) and Matthew Wilson (matthew@synesis.com.au)
//
// Permission to copy, use, sell and distribute this software is granted
// provided this copyright notice appears in all copies.
// Permission to modify the code and to distribute modified code is granted
// provided this copyright notice appears in all copies, and a notice
// that the code was modified is included with the copyright notice.
//
// This software is provided "as is" without express or implied warranty,
// and with no claim as to its suitability for any purpose.
 
// See http://www.boost.org for updates, documentation, and revision history.


#ifndef BOOST_RTL_DEFS_HPP_INCLUDED
#define BOOST_RTL_DEFS_HPP_INCLUDED

#include <boost/config.hpp>

#if defined(BOOST_MSVC) || \
	defined(BOOST_INTEL)
# if _MSV_VER <= 1200
#  define BOOST_RTL_WORKAROUND_VC6
# endif
#endif

#endif
